const http = require('http');
const Koa = require('koa');
const app = new Koa();

app.keys = ['appkeys'];

const sess = require('../index');

app.use(sess.use({
  name: 'kkk:sess',
  secret: 'kkk:sess:secret',
  verify: 'strict',
  crypto: true,
  cookie: {
    signed: false, // sign the cookie value
    overwrite: true, // overwrite the same name (false by default)
  },
  keys: [
    'token',
    'user.id',
    'user.name',
  ]
}), 'sess');

app.use(async (ctx, next) => {
  if (ctx.url === '/login') {
    ctx.session = {
      token: 123,
      user: {
        id: 123,
        name: 'kael',
      }
    };
  }
  ctx.body = ctx.session;
});

const server = http.createServer(app.callback());
server.listen(process.env.PORT || 3000);
server.on('listening', () => {
  console.info('Server listening on http://localhost:' + server.address().port, `with ${process.env.NODE_ENV}`);
});
