const http = require('http');
const Koa = require('koa');
const router = require('kkk-router');
const app = new Koa();

app.keys = ['appkeys'];

const sess = require('../index');

app.use(sess.use({
  name: 'kkk:sess',
  secret: 'kkk:sess:secret',
  verify: 'strict',
  crypto: true,
  cookie: {
    signed: false, // sign the cookie value
    overwrite: true, // overwrite the same name (false by default)
  },
  keys: [
    'token',
    'user.id',
    'user.name',
  ]
}), 'sess');

const server = http.createServer(router(app, 'routers').callback());
server.listen(process.env.PORT || 3000);
server.on('listening', () => {
  console.info('Server listening on http://localhost:' + server.address().port);
});
