const GAP_CHAR = '|';

function stringify(keys, data = {}) {
  let output = [];
  Array.isArray(keys) && keys.forEach(name => {
    let value = data;
    let names = name.split('.');
    while (names.length > 1) {
      value = value[names.shift()] || {};
    }
    output.push(value[names[0]]);
  });
  return output.join(GAP_CHAR);
}

function parse(keys, chars) {
  let output = {};
  chars.split(GAP_CHAR).forEach((value, index) => {
    let head = output;
    let names = keys[index].split('.');
    while (names.length > 1) {
      let key = names.shift();
      head = head[key] = head[key] || {};
    }
    head[names[0]] = value;
  });
  return output;
}

module.exports = {
  stringify,
  parse,
};
