/*
 * @Author: kael
 * @Date: 2017-07-13 11:03:49
 * @Last Modified by: kael
 * @Last Modified time: 2017-08-15 16:18:01
 */

const flat = require('../lib/flat');

const data = {
  a: 'a',
  b: {
    c: 'b.c',
    d: {
      e: 'b.d.e',
    }
  }
};

const dataKeys = [
  'a',
  'b.c',
  'b.d.e'
];

test('flat.stringify', () => {
  expect(flat.stringify(dataKeys)).toBe('||');
  expect(flat.stringify(dataKeys, data)).toBe('a|b.c|b.d.e');
});

test('flat.parse', () => {
  let values = flat.parse(dataKeys, 'a|b.c|b.d.e');
  expect(values.a).toBe('a');
  expect(values.b.c).toBe('b.c');
  expect(values.b.d.e).toBe('b.d.e');
});
